Skip to navigation

Test Agent Webhook

Send a test webhook to the agent’s webhook endpoint.

Same optional overrides as POST /v1/webhooks/test.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

Headers

X-Sub-Account-IdstringOptional

Request

This endpoint expects a nullable object.
fromstring or nullOptional
Sender number, E.164
tostring or nullOptional
Recipient number, E.164
messagestring or nullOptional<=1600 characters
Message text
channelenum or nullOptional

Channel to report in the payload (default sms)

Allowed values:

Response

Successful Response

Errors

422
Unprocessable Entity Error